import { TreeNode, TreeFlatNode, Config } from "./types";
export declare const createNode: (data: any, parent: TreeNode | null, config: Config) => TreeNode;
export declare const nodePath: (node: TreeNode, tree: TreeNode[]) => TreeNode[];
export declare const flattenNode: (node: TreeNode, tree: TreeNode[], config: Config) => TreeFlatNode;
export declare const forEachNode: (nodes: TreeNode[], fn: (node: TreeNode) => any) => void;
export declare const findNode: (id: string, tree: TreeNode[]) => TreeNode | null;
