/// <reference types="node" />
import fs from "fs-extra";
import { Readable } from "stream";
import { Config, FlattenTreeData, TreeNode } from "./types";
export declare const parseStream: (stream: Readable | fs.ReadStream, config?: Partial<Config>) => Promise<FlattenTreeData | TreeNode[]>;
export declare const parseFile: (filePath: string, config?: Partial<Config>) => Promise<FlattenTreeData | TreeNode[]>;
export declare const parseString: (str: string, config?: Partial<Config>) => Promise<FlattenTreeData | TreeNode[]>;
